#ifndef __ETHERNETIF_H__
#define __ETHERNETIF_H__

#include "lwip/err.h"
#include "lwip/netif.h"

#define ETH_RTX_BUFFER_SIZE 1536
#define ETH_RX_BUFFERS      8
#define ETH_TX_BUFFERS      4
#define ETH_DESCR_SIZE      4

void ETH_Init();

err_t ethernetif_init(struct netif *netif);
err_t ethernetif_input(struct netif *netif);


#endif
